%define anolis_release 1

Name: libgsf
Version: 1.14.53
Release: %{anolis_release}%{?dist}
Summary: GNOME Structured File library

License: LGPL-2.1-only
URL:     https://gitlab.gnome.org/GNOME/libgsf/
Source:  https://download.gnome.org/sources/%{name}/1.14/%{name}-%{version}.tar.xz

BuildRequires: bzip2-devel
BuildRequires: chrpath
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: make
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libxml-2.0)

Obsoletes: libgsf-gnome < 1.14.22
Obsoletes: libgsf-python < 1.14.26

%description
A library for reading and writing structured files (e.g. MS OLE and Zip)

%package devel
Summary: Support files necessary to compile applications with libgsf
Requires: libgsf = %{version}-%{release}, glib2-devel, libxml2-devel
Requires: pkgconfig
Obsoletes: libgsf-gnome-devel < 1.14.22

%description devel
Libraries, headers, and support files necessary to compile applications using 
libgsf.

%package doc
Summary: Documentation for libgsf
Requires: libgsf = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for libgsf.

%prep
%autosetup -p1

%build
%global _configure ../configure
mkdir -p build/doc && pushd build
ln -s ../../doc/html doc # some day meson... libgsf!4
%configure --disable-gtk-doc --disable-static --enable-introspection=yes

%make_build
popd

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
pushd build
%make_install
popd

%find_lang %{name}

# Remove lib rpaths
chrpath --delete %{buildroot}%{_bindir}/gsf*

# Remove .la files
find %{buildroot} -name '*.la' -delete -print

%generate_compatibility_deps

%ldconfig_scriptlets

%files -f libgsf.lang
%license COPYING
%{_libdir}/libgsf-1.so.*
%{_libdir}/girepository-1.0/Gsf-1.typelib
%{_bindir}/gsf-office-thumbnailer
%{_mandir}/man1/gsf-office-thumbnailer.1*
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/gsf-office.thumbnailer
%{abidir}/gsf-office-thumbnailer*.list
%{abidir}/libgsf-1.dump

%files devel
%{_bindir}/gsf
%{_bindir}/gsf-vba-dump
%{_libdir}/libgsf-1.so
%{_libdir}/pkgconfig/libgsf-1.pc
%dir %{_includedir}/libgsf-1
%{_includedir}/libgsf-1/gsf
%{_datadir}/gtk-doc/html/gsf
%{_datadir}/gir-1.0/Gsf-1.gir
%{_mandir}/man1/gsf.1*
%{_mandir}/man1/gsf-vba-dump.1*
%{abidir}/gsf*.list

%files doc
%doc AUTHORS README

%changelog
* Thu Feb 20 2025 wangzhe <wanglan.wz@alibaba-inc.com> - 1.14.53-1
- Refer to CentOS Stream libgsf-1.14.53-2 (cgarnach@redhat.com)

* Fri Feb 24 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.14.50-1
- Update version to 1.14.50

* Fri Apr 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.14.49-1
- Init from upstream version 1.14.49
